SND_INTERVAL_LIST(9)

NAME
snd_interval_list - refine the interval value from the list

SYNOPSIS

int snd_interval_list (struct snd_interval * i, unsigned int count, unsigned int * list, unsigned int mask);

ARGUMENTS

i   the interval value to refine

count
    the number of elements in the list

list
    the value list

mask
    the bit-mask to evaluate

DESCRIPTION

Refines the interval value from the list. When mask is non-zero, only the elements corresponding to bit 1 are evaluated.

Returns non-zero if the value is changed, zero if not changed.